start:
	ldx #13		; 14 lines have to be printed
next_line:
	sec		; Calculate HPOS = (screen width - nr stars) / 2
	lda #32
	sbc len,x
	lsr a
	tay

	lda #' '	; Print spaces
loop_spc:
	jsr $fff4
	dey
	bne loop_spc
	ldy len,x

	lda #'*'	; Print stars
loop_star:
	jsr $fff4
	dey
	bne loop_star
	jsr $ffed	; Print CRLF

	dex
	bpl next_line	; Repeat for all lines
	rts

len:	.byte 3,3	; Table with nr of stars to print
	.byte 23,17,11,5
	.byte 15,11,7,3
	.byte 7,5,3,1
